Skip to content
POST/{organizationId}/{mandateId}/crm/contacts/{contactId}/history/list

List history

Returns contact history, optionally including the linked debtor and creditor history accessible to the caller

Required permissions:

  • mandate.read

  • contactHistory.read

Permissions depending on contact type:

  • contact:member

  • contact:address

  • contact:customer

  • contact:sponsor

  • contact:contributor

  • contact:employee

  • contact:supplier

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
contactIdstringrequired

Request Body required

Content-Type: application/json

includeAccountHistorybooleanoptional

Default: false

limitintegeroptional

Default: 20

minimum: 1

maximum: 50

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/contacts/{contactId}/history/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/{contactId}/history/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "includeAccountHistory": false,
  "limit": 20,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Additional properties are not allowed.

ObjectId as string

timestampdate-timerequired
actionstringrequired

Options:

createdupdatedaddedremoveddeleted

Response

200
[
  {
    "source": {
      "entityType": "contact",
      "entity": "000000000000000000000001"
    },
    "_id": "000000000000000000000001",
    "timestamp": "2026-06-15T22:30:00Z",
    "actor": {
      "name": "string",
      "type": "user",
      "userId": "string",
      "image": {
        "resource": "string"
      }
    },
    "reviewedBy": {
      "name": "string",
      "type": "user",
      "userId": "string",
      "image": {
        "resource": "string"
      }
    },
    "action": "created"
  }
]

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}